Name:           sg-bridge
Version:        1.0.0
Release:        8%{?dist}
Summary:        Reads data from AMQP via proton and writes to a unix socket

License:        ASL 2.0
URL:            https://github.com/infrawatch/sg-bridge
Source0:        https://github.com/infrawatch/sg-bridge/archive/v1.0.0.tar.gz
Patch0001:      0001-Be-pedantic-when-using-buffers.patch
Patch0002:      0002-Allow-users-to-pass-in-LDFLAGS.patch

BuildRequires:  qpid-proton-c-devel git
Requires:       qpid-proton-c

%description
sg-bridge is part of the Smart Gateway used in the Service Telemetry Framework

%global debug_package %{nil}

%prep
%autosetup -Sgit

%build
make CFLAGS="%{build_cflags}" LDFLAGS="%{build_ldflags}"

%install
mkdir -p %{buildroot}/usr/bin
cp bridge %{buildroot}/usr/bin

%files
/usr/bin/bridge

%doc README.md

%changelog
* Mon Jul 20 2020 Lon Hohberger <lhh@redhat.com> 1.0.0-3
- Fix annocheck errors

* Mon Jun 22 2020 Chris Sibbitt <csibbitt@redhat.com> 1.0.0-1
- Initial RPM Release
